# Parameters -------------------------------------
try:
    AXIS  = self.AXIS         # Axis for movement
except:
    AXIS  = "y"                 
try:
    DEGREE= self.DEGREE       # degree by step
except:
    DEGREE= 4                   
try:
    TIMES = self.TIMES        # number of steps
except:
    TIMES = 91                 
try:
    FILENAME = self.FILENAME  # name for the sequence
except:
    FILENAME = "plugin-seq"          
#--------------------------------------------------

# Making the directory and setting the name counter
os.mkdir('_'+FILENAME+'_')  
counter = 0                  

# Getting the original camera information
cam = self.ren.GetActiveCamera()
Old_Cam = [cam.GetClippingRange(), cam.GetFocalPoint(), cam.GetPosition(), cam.GetViewUp()]

# Moving and taking photographs
for i in range(TIMES):
    image=vtkJPEGWriter()
    image.SetQuality(100)
    photoname =  '_'+FILENAME+"_/"+FILENAME+zfill(str(counter),3)+'.jpg'
    counter = counter + 1
    self.writephoto(image,photoname)
    if AXIS == "x":
	self.ren.GetActiveCamera().Elevation(DEGREE)
    elif AXIS == "y":
	self.ren.GetActiveCamera().Azimuth(DEGREE)
    elif AXIS == "z":
	self.ren.GetActiveCamera().Roll(DEGREE)
    self.renWin.Render()

# Putting the sequence in the list of sequences
self.sequences.append([FILENAME, counter])

# Setting the original values for the camera     
self.ren.GetActiveCamera().SetClippingRange(Old_Cam[0])
self.ren.GetActiveCamera().SetFocalPoint(Old_Cam[1])
self.ren.GetActiveCamera().SetPosition(Old_Cam[2])
self.ren.GetActiveCamera().SetViewUp(Old_Cam[3])

